Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 447367 - Review Request: onboard
Summary: Review Request: onboard
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-05-19 17:43 UTC by jmccann
Modified: 2015-01-14 23:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-16 19:55:54 UTC


Attachments (Terms of Use)

Description jmccann 2008-05-19 17:43:30 UTC
Spec: http://people.fedoraproject.org/~mccann/packages/onboard.spec
SRPM: http://people.fedoraproject.org/~mccann/packages/onboard-0.91.2-1.fc9.src.rpm

onboard is a simple virtual keyboard that is simpler and more useful than GOK in
some cases (eg. tablet PC).

Comment 1 Matthias Clasen 2008-05-20 03:46:26 UTC
builds fine in mock

Comment 2 Matthias Clasen 2008-05-20 03:47:26 UTC
rpmlint output:

rpmlint /var/lib/mock/fedora-9-i386/result/onboard-0.91.2-1.fc9.noarch.rpm 
onboard.noarch: W: no-documentation


Should include COPYING, CHANGELOG, AUTHORS as %doc

Comment 3 Matthias Clasen 2008-05-20 03:59:36 UTC
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: need to include COPYING
spec file language: ok
spec file legibility: ok
buildable: ok
ExcludeArch: n/a
BuildRequires: ok
locale handling: ok
ldconfig: n/a
relocatable: n/a
directory ownership: ok
duplicate files: ok
file permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: n/a
%doc: ok
headers: n/a
static libs: n/a
pkgconfig files: ok
shared libs: ok
-devel package: n/a
libtool archives: ok
gui app: need to install a desktop file, for better or worse
directory ownership: ok
%install: ok
utf8 filenames: ok


Comment 4 jmccann 2008-05-20 15:10:48 UTC
Updated files in place.  Thanks.

Comment 5 Matthias Clasen 2008-05-20 16:07:33 UTC
Still needs a desktop file.

Comment 6 Parag AN(पराग) 2008-07-14 05:08:05 UTC
any updates here?

Comment 7 Rakesh Pandit 2008-08-16 18:30:26 UTC
@Matthias Any update ?

Comment 8 Matthias Clasen 2008-08-16 19:38:53 UTC
No, Jon and I lost interest in this, after we found that matchbox fits our needs better...

Comment 9 Rakesh Pandit 2008-08-16 19:55:54 UTC
CLOSING with NOTABUG -- If anyone interested should open a new review.


Note You need to log in before you can comment on or make changes to this bug.